Bug 717238 - maven-javadoc-plugin uses old httpclient library
Summary: maven-javadoc-plugin uses old httpclient library
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: maven-javadoc-plugin
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-28 12:46 UTC by Stanislav Ochotnicky
Modified: 2013-04-03 14:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-03 12:55:17 UTC
Type: ---


Attachments (Terms of Use)

Description Stanislav Ochotnicky 2011-06-28 12:46:55 UTC
Upstream of jakarta-commons-httpclient deprecated it long time ago. Currently all libraries should use httpcomponents-client/server dependencies. Work with upstream to update dependency to new version.

Comment 1 Mat Booth 2013-02-21 18:33:27 UTC
maven-javadoc-plugin does not seem to depend on jakarta-commons-httpclient

$ sudo repoquery --whatrequires jakarta-commons-httpclient | grep maven
maven-changes-plugin-0:2.7.1-2.fc18.noarch
maven-wagon-0:1.0-6.fc18.noarch

Is this bug still relevant?

Comment 2 Stanislav Ochotnicky 2013-02-28 09:23:44 UTC
It's again (build)required in rawhide:
$ repoquery --repoid=rawhide  --whatrequires jakarta-commons-httpclient | grep maven
maven-changes-plugin-0:2.8-4.fc19.noarch
maven-javadoc-plugin-0:2.9-5.fc19.noarch
maven-wagon-0:1.0-6.fc18.noarch

We need a tracking bug...it seems we have more and more packages pulling in old dependencies.

Comment 3 Mat Booth 2013-04-03 11:54:34 UTC
You are correct of course. I have written a patch and submitted it upstream for consideration:

http://jira.codehaus.org/browse/MJAVADOC-363

Comment 4 Mat Booth 2013-04-03 12:55:17 UTC
Closing as fixed upstream. Path was committed to upstream's source control in r1463966. This change will be available in the next release of maven-javadoc-plugin.

Comment 5 Fedora End Of Life 2013-04-03 14:54:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19


Note You need to log in before you can comment on or make changes to this bug.